Skip to main content
`Ctrl`+`K`

# PetscFEOpenCLSetRealType

Set the scalar type for running on the OpenCL accelerator

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEOpenCLSetRealType(PetscFE fem, PetscDataType realType)

## Input Parameters

- fem - The `PetscFE`

- realType - The scalar type

## See Also

`PetscFE`, `PetscFEOpenCLGetRealType()`

## Level

developer

## Location

src/dm/dt/fe/impls/opencl/feopencl.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages